<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        const doc = {
            header: "Заголовок",
            body: "Тіло",
            footer: "Футер",
            data: "Дата",
            dodatok:{ 
            header:{header: "Заголовок"},
            body:{ body: "Тіло"},
            footer: {footer: "Футер"},
            data: {data:"Дата"},
            overkill : function(i) {
            for(let key in i)
            {document.write([key])}},
         }
        }
        doc.dodatok.overkill(doc);
    </script>
</body>
</html>